# $Revision: 1.21 $, $Date: 2010/04/12 19:28:11 $
# TODO
# - client/daemon package split like ntp.spec
Summary:	FREE and easy to use implementation of the Network Time Protocol
Summary(pl.UTF-8):	Wolnodostępna i łatwa w użyciu implementacja protokołu NTP
Name:		openntpd
Version:	3.9p1
Release:	6
License:	BSD
Group:		Daemons
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%{name}-%{version}.tar.gz
# Source0-md5:	afc34175f38d08867c1403d9008600b3
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.openntpd.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	ntpclient
Provides:	ntpdaemon
Obsoletes:	ntpclient
Obsoletes:	ntpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time
Protocol.

It provides the ability to sync the local clock to remote NTP servers
and can act as NTP server itself, redistributing the local clock.

%description -l pl.UTF-8
OpenNTPD to wolnodostępna, łatwa w użyciu implementacja protokołu NTP
(Network Time Protocol).

Daje możliwość synchronizacji lokalnego zegara ze zdalnymi serwerami
NTP i może działać samemu jako serwer NTP, rozpowszechniając lokalny
zegar.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-adjtimex \
	--with-privsep-path=/usr/share/empty \
	--with-mantype=man \
	--with-privsep-user=nobody

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ntpd

%post
/sbin/chkconfig --add ntpd
%service ntpd restart "OpenNTP Daemon"

%preun
if [ "$1" = "0" ]; then
	%service ntpd stop
	/sbin/chkconfig --del ntpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ntpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntpd
%attr(754,root,root) /etc/rc.d/init.d/ntpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openntpd.spec,v $
Revision 1.21  2010/04/12 19:28:11  arekm
- release 6

Revision 1.20  2010/01/22 18:06:15  glen
- O/P in non-conflicting way; rel 5

Revision 1.19  2010/01/11 08:56:25  glen
- arekm: drop Obsoletes then too! Otherwise poldek will think that this pkg replaces ntp.spec
- rel 4

Revision 1.18  2010/01/11 08:03:38  glen
- cosmetics

Revision 1.17  2010/01/11 08:01:26  glen
- do NOT provide real package names, breaks upgrade path (sudden ntp -> openttp "migration"); rel 3

Revision 1.16  2009/11/05 13:12:18  arekm
- rel 2; P ntp/ntp-client

Revision 1.15  2007/08/27 19:54:03  glen
- use %service

Revision 1.14  2007/06/30 20:11:54  areq
- Release 1

Revision 1.13  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.11  2006/08/12 17:46:11  ankry
- formatting

Revision 1.10  2006/05/17 22:11:54  areq
- 3.9p1

Revision 1.9  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.8  2005/06/05 13:37:39  areq
- 3.7p1
- outdated pollerr.patch

Revision 1.7  2005/01/23 21:41:17  arekm
- up to 3.6.1p1

Revision 1.6  2004/11/25 23:08:03  qboosh
- removed invalid _sysconfdir usage, BR sed 4.0

Revision 1.5  2004/11/25 22:06:14  arekm
- add cvs patch

Revision 1.4  2004/11/25 21:26:41  arekm
- add openntpd-3.6p1-linux-adjtimex4.patch

Revision 1.3  2004/11/25 21:09:22  arekm
- updates

Revision 1.2  2004/11/04 20:11:13  qboosh
- pl

Revision 1.1  2004/11/04 15:06:17  areq
- raw PLD spec
